- if onboarding_status_presenter.hide_setup_for_company_field?
  = f.hidden_field :setup_for_company, value: true
- else
  .row
    .form-group.col-sm-12
      = f.label :setup_for_company, onboarding_status_presenter.setup_for_company_label_text, class: 'label-bold'
      .gl-flex.gl-flex-col
        .gl-grow{ data: { testid: 'setup-for-just-me-content' } }
          = f.gitlab_ui_radio_component :setup_for_company, false, _('Just me'),
            radio_options: { required: true, data: { testid: 'setup-for-just-me-radio' } }
        .gl-grow
          = f.gitlab_ui_radio_component :setup_for_company, true, _('My company or team'),
            help_text: onboarding_status_presenter.setup_for_company_help_text, radio_options: { required: true,
            class: "js-track-error", data: { track_action_for_errors: 'welcome_form' } }
